FI
API & MCPDokumentaatio

Mariner GPS Tools -agentti- ja API-alusta

Laske alkusuuntima (tosisuuntima)

Laske alkusuuntima (tosisuuntima) sijainnista toiseen.

Liitännät

POST
REST päätepiste/api/v1/bearing
MCP
Työkalun nimicalculate_bearing

Pyyntö

Lähetä pyyntö muodossa JSON. MCP-asiakkaat välittävät samat kentät kuin työkaluargumentit.

cURLshell
curl -X POST https://marinergps.tools/api/v1/bearing \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
  "from": {
    "lat": 50.1,
    "lng": -4.2
  },
  "to": {
    "lat": 49.8,
    "lng": -3.1
  }
}'
Pyynnön runkojson
{
  "from": {
    "lat": 50.1,
    "lng": -4.2
  },
  "to": {
    "lat": 49.8,
    "lng": -3.1
  }
}

Vastaus

REST käärii laskentatuloksen tavalliseen onnistumiskirjekuoreen. MCP palauttaa samat laskentatiedot rakenteisena työkalutulosteena.

JSON
{
  "ok": true,
  "data": {
    "degrees": 112.54786806700503,
    "compass": "ESE"
  }
}

Kaaviot

Alla olevat määritelmät näyttävät täydellisen JSON-skeeman, jota käytetään tulojen vahvistamiseen ja lähtöjen kuvaamiseen.

Syöteskeema

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "from": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "lat": {
          "type": "string",
          "description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
        },
        "lng": {
          "type": "string",
          "description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
        }
      },
      "required": [
        "lat",
        "lng"
      ]
    },
    "to": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "lat": {
          "type": "string",
          "description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
        },
        "lng": {
          "type": "string",
          "description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
        }
      },
      "required": [
        "lat",
        "lng"
      ]
    }
  },
  "required": [
    "from",
    "to"
  ]
}

Tulosskeema

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "degrees": {
      "type": "number"
    },
    "compass": {
      "type": "string"
    }
  },
  "required": [
    "degrees",
    "compass"
  ]
}

MCP-vertailutestin tulokset

Mitattu tälle työkalulle sekä ilman Mariner GPS Toolsin MCP-palvelinta että palvelin liitettynä.

92 %vähemmän mallin tuottamia tokeneitaTämän työkalun mediaani 8:lle 9 mallista, joilla oli riittävästi oikeita vertailutason tuloksia vertailua varten.
5,2×nopeampi vertailutesteissäTämän työkalun mediaani 8:lle 9 mallista, joilla oli riittävästi oikeita vertailutason tuloksia vertailua varten.
100 %oikein MCP:n kanssa, ilman työkaluja 93,5 %108/108 tämän työkalun MCP-havainnosta toleranssin sisällä.

Mitattu: syyskuu 2026 · 9 mallia · 4 navigointitapausta · 3 toistoa · 216 havaintoa · Tuotannon MCP

API & MCP -asiakirjat